Create a user
const url = 'https://apisandbox.puurk.com/users';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"id":"example","uid":"example","first_name":"example","last_name":"example","title":"example","email_address":"hello@example.com","email_verified":true,"ssn":"example","phone_number":"example","phone_verified":true,"birth_date":"2026-04-15","address_line_1":"example","address_line_2":"example","city":"example","state":"example","zip":"example","photo_url":"https://example.com","password":"example","password_expiration":"2026-04-15T12:00:00Z","password_attempts":1,"account_locked_until":"2026-04-15T12:00:00Z"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://apisandbox.puurk.com/users \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "id": "example", "uid": "example", "first_name": "example", "last_name": "example", "title": "example", "email_address": "hello@example.com", "email_verified": true, "ssn": "example", "phone_number": "example", "phone_verified": true, "birth_date": "2026-04-15", "address_line_1": "example", "address_line_2": "example", "city": "example", "state": "example", "zip": "example", "photo_url": "https://example.com", "password": "example", "password_expiration": "2026-04-15T12:00:00Z", "password_attempts": 1, "account_locked_until": "2026-04-15T12:00:00Z" }'Create a new user
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”User object to create
object
Unique identifier for the user
User ID
User’s first name
User’s last name
User’s title
User’s email address
Whether the email address is verified
Social Security Number
User’s phone number
Whether the phone number is verified
User’s birth date
First line of user’s address
Second line of user’s address
User’s city
User’s state
User’s ZIP code
URL to user’s photo
User’s password
Password expiration date
Number of password attempts
Date until which the account is locked
Examplegenerated
{ "id": "example", "uid": "example", "first_name": "example", "last_name": "example", "title": "example", "email_address": "hello@example.com", "email_verified": true, "ssn": "example", "phone_number": "example", "phone_verified": true, "birth_date": "2026-04-15", "address_line_1": "example", "address_line_2": "example", "city": "example", "state": "example", "zip": "example", "photo_url": "https://example.com", "password": "example", "password_expiration": "2026-04-15T12:00:00Z", "password_attempts": 1, "account_locked_until": "2026-04-15T12:00:00Z"}Responses
Section titled “Responses”User created
object
Unique identifier for the user
User ID
User’s first name
User’s last name
User’s title
User’s email address
Whether the email address is verified
Social Security Number
User’s phone number
Whether the phone number is verified
User’s birth date
First line of user’s address
Second line of user’s address
User’s city
User’s state
User’s ZIP code
URL to user’s photo
User’s password
Password expiration date
Number of password attempts
Date until which the account is locked
Examplegenerated
{ "id": "example", "uid": "example", "first_name": "example", "last_name": "example", "title": "example", "email_address": "hello@example.com", "email_verified": true, "ssn": "example", "phone_number": "example", "phone_verified": true, "birth_date": "2026-04-15", "address_line_1": "example", "address_line_2": "example", "city": "example", "state": "example", "zip": "example", "photo_url": "https://example.com", "password": "example", "password_expiration": "2026-04-15T12:00:00Z", "password_attempts": 1, "account_locked_until": "2026-04-15T12:00:00Z"}Invalid input
Unauthorized